classification
Title: Use macros from pyctype.h
Type: enhancement Stage: resolved
Components: Versions: Python 3.3
process
Status: closed Resolution: duplicate
Dependencies: Superseder: uses of locale-dependent ctype functions
View: 17173
Assigned To: Nosy List: akrpic77, eric.smith, sandro.tosi, skrah
Priority: low Keywords:

Created on 2010-06-24 10:46 by skrah, last changed 2013-02-09 21:39 by skrah. This issue is now closed.

Messages (3)
msg108505 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2010-06-24 10:46
While investigating issue 9020, I noticed that there are several places
where the pyctype.h macros could/should be used.
msg132433 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2011-03-28 22:15
Hi Stefan, can you please expand a bit this issue and details the places you think can benefit from pyctype macros? you know, a patch would be the best :)
msg132580 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2011-03-30 11:17
Sandro Tosi <report@bugs.python.org> wrote:
> Hi Stefan, can you please expand a bit this issue and details the places 
> you think can benefit from pyctype macros? you know, a patch would be the best :)

Indeed. While working on #9036 I thought that there were several places
that could use the macros. I opened this as a reminder for myself but
then got sidetracked, so now I'll have to search for the precise locations
again.
History
Date User Action Args
2013-02-09 21:39:31skrahsetstatus: open -> closed
superseder: uses of locale-dependent ctype functions
resolution: duplicate
stage: resolved
2011-03-30 11:17:05skrahsetpriority: normal -> low

messages: + msg132580
2011-03-30 10:59:59akrpic77setnosy: + akrpic77
2011-03-28 22:15:20sandro.tosisetnosy: + sandro.tosi

messages: + msg132433
versions: + Python 3.3
2010-06-24 10:46:40skrahcreate